################################################################################
#
# Copyright (C) 2014-2020 Centrify Corporation. All rights reserved.
#
#
# Centrify DirectControl include module.
#
# ALL Perl scripts shipped by Centrify have to include this module. And this
# module should be include at the top. For example:
#
# use strict;
# use lib '<centrifydc-install-path>/perl';
# use CentrifyDA::Include;
#
# One objective of this module is to filter out include paths containing
# site_perl and vendor_perl. Since modules installed there are NOT part of the
# standard distribution. It is a customer request that our scripts should NOT
# be affected by 3rd party modules installed on the system.
#
# Please uncomment the code below to filter out unwanted paths from @INC.
#
################################################################################

package CentrifyDA::Include;

use strict;
use warnings;

#BEGIN
#{
#    sub FilterPaths()
#    {
#        my $index = 0;
#
#        while ($index < scalar @INC)
#        {
#            my $inc = $INC[$index];
#
#            if ($inc =~ /(site|vendor)_perl/)
#            {
#                splice(@INC, $index, 1);
#            }
#            else
#            {
#                $index++;
#            }
#        }
#    }
#
#    FilterPaths();
#}

1;
